// ------------------------------------------------------------------------------------------
// Componente: Pantalla de la calculadora
// - Curso de programación de Ubuntu Touch
// - https://www.gitbook.com/book/mimecar/curso-de-programacion-de-ubuntu-phone-touch/details
// ------------------------------------------------------------------------------------------
import QtQuick 2.4

Rectangle {

    id: display

    property alias text: label.text

    // Borde
    border {
        color: "#B9C5D0"
        width: 1
    }

    // Color del fondo
    color: "#AACEA2"

    // Suavizado
    smooth: true

    // Etiqueta para el resultado
    Text {

        id: label
        anchors.right: parent.right
        anchors.bottom: parent.bottom

        text: "1234567890"


        font.pointSize: 30
        font.family: "UbuntuMono"
        font.bold: true
        color: "black"
    }
}
