// ------------------------------------------------------------------------------------------
// Interfaz de la calculadora básica
// - Curso de programación de Ubuntu Touch
// - https://www.gitbook.com/book/mimecar/curso-de-programacion-de-ubuntu-phone-touch/details
// ------------------------------------------------------------------------------------------
import QtQuick 2.0
import Ubuntu.Components 1.3


// ----------------------
// Calculadora científica
// ----------------------
Grid {

    spacing: columnSeparation
    columns: 6

    // 1º fila
    ButtonCalculator {
        text: "Shift"
        gradcolor: UbuntuColors.graphite

        buttonWitdth: buttonWidthScientific
        buttonHeight: buttonHeightScientific
    }

    ButtonCalculator {
        text: "Mode"
        gradcolor: UbuntuColors.graphite

        buttonWitdth: buttonWidthScientific
        buttonHeight: buttonHeightScientific
    }

    ButtonCalculator {
        text: "Abs"
        gradcolor: UbuntuColors.graphite

        buttonWitdth: buttonWidthScientific
        buttonHeight: buttonHeightScientific
    }

    ButtonCalculator {
        text: "x^3"
        textLeft: ":"
        gradcolor: UbuntuColors.graphite

        buttonWitdth: buttonWidthScientific
        buttonHeight: buttonHeightScientific
    }

    ButtonCalculator {
        text: "x^-1"
        textLeft: "x!"
        gradcolor: UbuntuColors.graphite

        buttonWitdth: buttonWidthScientific
        buttonHeight: buttonHeightScientific
    }

    ButtonCalculator {
        text: "log_a n"

        gradcolor: UbuntuColors.graphite

        buttonWitdth: buttonWidthScientific
        buttonHeight: buttonHeightScientific
    }

    // 2º fila
    ButtonCalculator {
        text: "(frac)"
        textLeft: "sep. frac"

        gradcolor: UbuntuColors.graphite

        buttonWitdth: buttonWidthScientific
        buttonHeight: buttonHeightScientific
    }

    ButtonCalculator {
        text: "SQRT"
        textLeft: "Cubic root"

        gradcolor: UbuntuColors.graphite

        buttonWitdth: buttonWidthScientific
        buttonHeight: buttonHeightScientific
    }

    ButtonCalculator {
        text: "x^2"
        gradcolor: UbuntuColors.graphite

        buttonWitdth: buttonWidthScientific
        buttonHeight: buttonHeightScientific
    }

    ButtonCalculator {
        text: "x^*"
        textLeft: "n-root"

        gradcolor: UbuntuColors.graphite

        buttonWitdth: buttonWidthScientific
        buttonHeight: buttonHeightScientific
    }

    ButtonCalculator {
        text: "log"
        textLeft: "10^*"

        gradcolor: UbuntuColors.graphite

        buttonWitdth: buttonWidthScientific
        buttonHeight: buttonHeightScientific
    }

    ButtonCalculator {
        text: "ln"
        textLeft: "e^*"

        gradcolor: UbuntuColors.graphite

        buttonWitdth: buttonWidthScientific
        buttonHeight: buttonHeightScientific
    }

    // 3º fila
    ButtonCalculator {
        text: "(-)"
        gradcolor: UbuntuColors.graphite

        buttonWitdth: buttonWidthScientific
        buttonHeight: buttonHeightScientific
    }

    ButtonCalculator {
        text: "º ' ''"
        gradcolor: UbuntuColors.graphite

        buttonWitdth: buttonWidthScientific
        buttonHeight: buttonHeightScientific
    }

    ButtonCalculator {
        text: "hyp"
        gradcolor: UbuntuColors.graphite

        buttonWitdth: buttonWidthScientific
        buttonHeight: buttonHeightScientific
    }

    ButtonCalculator {
        text: "sin"
        textLeft: "sin-1"
        gradcolor: UbuntuColors.graphite

        buttonWitdth: buttonWidthScientific
        buttonHeight: buttonHeightScientific
    }

    ButtonCalculator {
        text: "cos"
        textLeft: "cos -1"

        gradcolor: UbuntuColors.graphite

        buttonWitdth: buttonWidthScientific
        buttonHeight: buttonHeightScientific
    }

    ButtonCalculator {
        text: "tan"
        textLeft: "tan -1"

        gradcolor: UbuntuColors.graphite

        buttonWitdth: buttonWidthScientific
        buttonHeight: buttonHeightScientific
    }

    // 4º fila
    ButtonCalculator {
        text: "RCL"
        textLeft: "STO"

        gradcolor: UbuntuColors.graphite

        buttonWitdth: buttonWidthScientific
        buttonHeight: buttonHeightScientific
    }

    ButtonCalculator {
        text: "ENG"
        textLeft: "<-"

        gradcolor: UbuntuColors.graphite

        buttonWitdth: buttonWidthScientific
        buttonHeight: buttonHeightScientific
    }

    ButtonCalculator {
        text: "("
        textLeft: "%"

        gradcolor: UbuntuColors.graphite

        buttonWitdth: buttonWidthScientific
        buttonHeight: buttonHeightScientific
    }

    ButtonCalculator {
        text: ")"
        textLeft: ","

        gradcolor: UbuntuColors.graphite

        buttonWitdth: buttonWidthScientific
        buttonHeight: buttonHeightScientific
    }

    ButtonCalculator {
        text: "S<=>D"
        textLeft: "a b/c <=> d/c"
        gradcolor: UbuntuColors.graphite

        buttonWitdth: buttonWidthScientific
        buttonHeight: buttonHeightScientific
    }

    ButtonCalculator {
        text: "M+"
        textLeft: "M-"

        gradcolor: UbuntuColors.graphite

        buttonWitdth: buttonWidthScientific
        buttonHeight: buttonHeightScientific
    }
}
