// ------------------------------------------------------------------------------------------
// Interfaz de la calculadora básica
// - Curso de programación de Ubuntu Touch
// - https://www.gitbook.com/book/mimecar/curso-de-programacion-de-ubuntu-phone-touch/details
// ------------------------------------------------------------------------------------------
import QtQuick 2.0
import Ubuntu.Components 1.3


// -----------------
// Grid de botones
// -----------------
Grid {

    id: grid
    rowSpacing: 5
    columnSpacing: columnSeparation
    columns: 5

    // Fila 1
    ButtonCalculator {
        text: "7"

        gradcolor: UbuntuColors.coolGrey
        buttonWitdth: buttonWithBasic
        buttonHeight: buttonHeight
    }

    ButtonCalculator {
        text: "8"

        gradcolor: UbuntuColors.coolGrey
        buttonWitdth: buttonWithBasic
        buttonHeight: buttonHeight
    }

    ButtonCalculator {
        text: "9"
        textLeft: "CLR"

        gradcolor: UbuntuColors.coolGrey
        buttonWitdth: buttonWithBasic
        buttonHeight: buttonHeight
    }

    ButtonCalculator {
        text: "DEL"
        textLeft: "INS"

        gradcolor: UbuntuColors.red
        buttonWitdth: buttonWithBasic
        buttonHeight: buttonHeight
    }

    ButtonCalculator {
        text: "AC"
        textLeft: "OFF"

        gradcolor: UbuntuColors.red
        buttonWitdth: buttonWithBasic
        buttonHeight: buttonHeight
    }

    // Fila 2
    ButtonCalculator {
        text: "4"

        gradcolor: UbuntuColors.coolGrey
        buttonWitdth: buttonWithBasic
        buttonHeight: buttonHeight
    }

    ButtonCalculator {
        text: "5"

        gradcolor: UbuntuColors.coolGrey
        buttonWitdth: buttonWithBasic
        buttonHeight: buttonHeight
    }

    ButtonCalculator {
        text: "6"

        gradcolor: UbuntuColors.coolGrey
        buttonWitdth: buttonWithBasic
        buttonHeight: buttonHeight
    }

    ButtonCalculator {
        text: "*"
        textLeft: "nPr"

        buttonWitdth: buttonWithBasic
        buttonHeight: buttonHeight
    }

    ButtonCalculator {
        text: "/"
        textLeft: "nCr"

        gradcolor: "grey"
        buttonWitdth: buttonWithBasic
        buttonHeight: buttonHeight
    }

    // Fila 3
    ButtonCalculator {
        text: "1"
        textLeft: "STAT"

        gradcolor: UbuntuColors.coolGrey
        buttonWitdth: buttonWithBasic
        buttonHeight: buttonHeight
    }

    ButtonCalculator {
        text: "2"

        gradcolor: UbuntuColors.coolGrey
        buttonWitdth: buttonWithBasic
        buttonHeight: buttonHeight
    }

    ButtonCalculator {
        text: "3"

        gradcolor: UbuntuColors.coolGrey
        buttonWitdth: buttonWithBasic
        buttonHeight: buttonHeight
    }

    ButtonCalculator {
        text: "+"
        textLeft: "Pol"

        gradcolor: "grey"
        buttonWitdth: buttonWithBasic
        buttonHeight: buttonHeight
    }

    ButtonCalculator {
        text: "-"
        textLeft: "Rec"

        gradcolor: "grey"
        buttonWitdth: buttonWithBasic
        buttonHeight: buttonHeight
    }

    // Fila 4
    ButtonCalculator {
        text: "0"
        textLeft: "Rnd"

        gradcolor: UbuntuColors.coolGrey
        buttonWitdth: buttonWithBasic
        buttonHeight: buttonHeight
    }

    ButtonCalculator {
        text: "."
        textLeft: "Rnd#"

        gradcolor: UbuntuColors.coolGrey
        buttonWitdth: buttonWithBasic
        buttonHeight: buttonHeight
    }

    ButtonCalculator {
        text: "EXP"
        textLeft: "PI"
        textRight: "e"

        gradcolor: UbuntuColors.coolGrey
        buttonWitdth: buttonWithBasic
        buttonHeight: buttonHeight
    }

    ButtonCalculator {
        text: "ANS"
        textLeft: "DRG"

        buttonWitdth: buttonWithBasic
        buttonHeight: buttonHeight
    }

    ButtonCalculator {
        text: "="

        buttonWitdth: buttonWithBasic
        buttonHeight: buttonHeight
    }
}
